PowerPoint7Graph Class Reference

the main class to read the graphic part of a PowerPoint 95 file More...

`#include <PowerPoint7Graph.hxx>`

## Public Member Functions

| PowerPoint7Graph (PowerPoint7Parser &parser)
| constructor
virtual | ~PowerPoint7Graph ()
| destructor
int | version () const
| returns the file version
void | setPageSize (MWAWVec2i const &pageSize)
| sets the page size
void | setSlideId (PowerPoint7Struct::SlideId const &id)
| sets the slide id
void | setColorList (std::vector< MWAWColor > const &colorList)
| sets the color list

## Protected Member Functions

bool | sendSlide (PowerPoint7Struct::SlideId const &id, bool sendBackground)
| try to send the slide content
bool | sendFrame (PowerPoint7GraphInternal::Frame const &frame, bool master)
| try to send a frame
bool | sendText (int textId)
| try to send the text content
bool | readBitmapContainer (int level, long endPos, PowerPoint7GraphInternal::Picture &picture)
| try to read the bitmap container zone 1027
bool | readPictureList (int level, long endPos)
| try to read the font collection 10 zone 2006
bool | readBitmap (int level, long endPos, MWAWEmbeddedObject &object, MWAWBox2i &box)
| try to read a bitmap zone 2012
bool | readBitmapFlag (int level, long endPos)
| try to read the bitmap type zone 3038
bool | readPictureContainer (int level, long endPos, PowerPoint7GraphInternal::Picture &picture)
| try to read the picture container 4028
bool | readPictureIdContainer (int level, long endPos, int &id)
| try to read the picture id container zone 4053
bool | readPictureId (int level, long endPos, int &id)
| try to read the picture id 4036
bool | readMetaFile (int level, long endPos, MWAWEmbeddedObject &object)
| try to read the meta file zone 4033
bool | readMetaFileContainer (int level, long endPos, PowerPoint7GraphInternal::Picture &picture)
| try to read the meta file container zone 4037
bool | readMetaFileBox (int level, long endPos, MWAWBox2i &box)
| try to read the meta file box zone 4038
bool | readExternalOleObjectAtom (int level, long endPos)
| try to read the external ole object atom zone: 4035
bool | readExternalOleEmbed (int level, long endPos, int &id)
| try to read the external ole embed zone 4044
bool | readExternalOleEmbedAtom (int level, long endPos)
| try to read the external ole object atom zone: 4045
bool | readGroup (int level, long endPos)
| try to read the group zone
bool | readGroupAtom (int level, long endPos)
| try to read the zone 3002
bool | readStyle (int level, long endPos)
| try to read the graphic style zone 3005
bool | readLineArrows (int level, long endPos)
| try to read the line arrow zone 3007
bool | readRect (int level, long endPos)
| try to read the graph rectangle zone 3008
bool | readRectAtom (int level, long endPos)
| try to read the graph shape zone 3009
bool | readPlaceholderContainer (int level, long endPos)
| try to read a place holder container 3010
bool | readPlaceholderAtom (int level, long endPos)
| try to read the place holder atom zone 3011
bool | readLine (int level, long endPos)
| try to read the line graph zone 3014
bool | readLineAtom (int level, long endPos)
| try to read the graph line atom zone 3015
bool | readPolygon (int level, long endPos)
| try to read the polygon zone 3016
bool | readPolygonAtom (int level, long endPos)
| try to read the polygon atom zone 3017
bool | readArc (int level, long endPos)
| try to read the graph arc zone 3018
bool | readArcAtom (int level, long endPos)
| try to read the graph arc atom 3019
bool | readPointList (int level, long endPos, std::vector< MWAWVec2i > &points)
| try to read the list of point zone 3035
bool | readZoneFlags (int level, long endPos)
| try to read the graph zone flags zone 3036
bool | readZone5000 (int level, long endPos)
| try to read the zone 5000: child of GraphRect (only found in 95 an 97 document)
bool | readZone5000Header (int level, long endPos)
| try to read the zone 5000 header: 5001
bool | readZone5000Data (int level, long endPos)
| try to read the zone 5000 data: 5002

## Protected Attributes

MWAWParserStatePtr | m_parserState
| the parser state
std::shared_ptr< PowerPoint7GraphInternal::State > | m_state
| the state
PowerPoint7Parser * | m_mainParser
| the main parser;

## Private Member Functions

| PowerPoint7Graph (PowerPoint7Graph const &orig)=delete
PowerPoint7Graph & | operator= (PowerPoint7Graph const &orig)=delete

## Friends

class | PowerPoint7Parser
class | PowerPoint7GraphInternal::SubDocument

## Detailed Description

the main class to read the graphic part of a PowerPoint 95 file

## Constructor & Destructor Documentation

## PowerPoint7Graph() [1/2]

PowerPoint7Graph::PowerPoint7Graph | ( | PowerPoint7Parser & | parser | ) |

explicit

constructor

Referenced by operator=(), and PowerPoint7Graph().

## ~PowerPoint7Graph()

PowerPoint7Graph::~PowerPoint7Graph | ( |  | ) |

virtual

destructor

## PowerPoint7Graph() [2/2]

PowerPoint7Graph::PowerPoint7Graph | ( | PowerPoint7Graph const & | orig | ) |

private delete

## Member Function Documentation

## operator=()

PowerPoint7Graph & PowerPoint7Graph::operator= | ( | PowerPoint7Graph const & | orig | ) |

private delete

## readArc()

bool PowerPoint7Graph::readArc | ( | int | level,
|  | long | endPos )

protected

try to read the graph arc zone 3018

## readArcAtom()

bool PowerPoint7Graph::readArcAtom | ( | int | level,
|  | long | endPos )

protected

try to read the graph arc atom 3019

Referenced by readArc().

## readBitmap()

bool PowerPoint7Graph::readBitmap | ( | int | level,
|  | long | endPos,
|  | MWAWEmbeddedObject & | object,
|  | MWAWBox2i & | box )

protected

try to read a bitmap zone 2012

Referenced by readBitmapContainer().

## readBitmapContainer()

bool PowerPoint7Graph::readBitmapContainer | ( | int | level,
|  | long | endPos,
|  | PowerPoint7GraphInternal::Picture & | picture )

protected

try to read the bitmap container zone 1027

Referenced by readPictureList().

## readBitmapFlag()

bool PowerPoint7Graph::readBitmapFlag | ( | int | level,
|  | long | endPos )

protected

try to read the bitmap type zone 3038

Referenced by readBitmapContainer().

## readExternalOleEmbed()

bool PowerPoint7Graph::readExternalOleEmbed | ( | int | level,
|  | long | endPos,
|  | int & | id )

protected

try to read the external ole embed zone 4044

## readExternalOleEmbedAtom()

bool PowerPoint7Graph::readExternalOleEmbedAtom | ( | int | level,
|  | long | endPos )

protected

try to read the external ole object atom zone: 4045

Referenced by readExternalOleEmbed().

## readExternalOleObjectAtom()

bool PowerPoint7Graph::readExternalOleObjectAtom | ( | int | level,
|  | long | endPos )

protected

try to read the external ole object atom zone: 4035

Referenced by readExternalOleEmbed().

## readGroup()

bool PowerPoint7Graph::readGroup | ( | int | level,
|  | long | endPos )

protected

try to read the group zone

## readGroupAtom()

bool PowerPoint7Graph::readGroupAtom | ( | int | level,
|  | long | endPos )

protected

try to read the zone 3002

Referenced by readGroup().

## readLine()

bool PowerPoint7Graph::readLine | ( | int | level,
|  | long | endPos )

protected

try to read the line graph zone 3014

## readLineArrows()

bool PowerPoint7Graph::readLineArrows | ( | int | level,
|  | long | endPos )

protected

try to read the line arrow zone 3007

Referenced by readArc(), readLine(), and readPolygon().

## readLineAtom()

bool PowerPoint7Graph::readLineAtom | ( | int | level,
|  | long | endPos )

protected

try to read the graph line atom zone 3015

Referenced by readLine().

## readMetaFile()

bool PowerPoint7Graph::readMetaFile | ( | int | level,
|  | long | endPos,
|  | MWAWEmbeddedObject & | object )

protected

try to read the meta file zone 4033

Referenced by readMetaFileContainer().

## readMetaFileBox()

bool PowerPoint7Graph::readMetaFileBox | ( | int | level,
|  | long | endPos,
|  | MWAWBox2i & | box )

protected

try to read the meta file box zone 4038

Referenced by readMetaFileContainer().

## readMetaFileContainer()

bool PowerPoint7Graph::readMetaFileContainer | ( | int | level,
|  | long | endPos,
|  | PowerPoint7GraphInternal::Picture & | picture )

protected

try to read the meta file container zone 4037

Referenced by readPictureContainer().

## readPictureContainer()

bool PowerPoint7Graph::readPictureContainer | ( | int | level,
|  | long | endPos,
|  | PowerPoint7GraphInternal::Picture & | picture )

protected

try to read the picture container 4028

Referenced by readPictureList().

## readPictureId()

bool PowerPoint7Graph::readPictureId | ( | int | level,
|  | long | endPos,
|  | int & | id )

protected

try to read the picture id 4036

Referenced by readExternalOleEmbed(), and readPictureIdContainer().

## readPictureIdContainer()

bool PowerPoint7Graph::readPictureIdContainer | ( | int | level,
|  | long | endPos,
|  | int & | id )

protected

try to read the picture id container zone 4053

## readPictureList()

bool PowerPoint7Graph::readPictureList | ( | int | level,
|  | long | endPos )

protected

try to read the font collection 10 zone 2006

## readPlaceholderAtom()

bool PowerPoint7Graph::readPlaceholderAtom | ( | int | level,
|  | long | endPos )

protected

try to read the place holder atom zone 3011

Referenced by readPlaceholderContainer().

## readPlaceholderContainer()

bool PowerPoint7Graph::readPlaceholderContainer | ( | int | level,
|  | long | endPos )

protected

try to read a place holder container 3010

## readPointList()

bool PowerPoint7Graph::readPointList | ( | int | level,
|  | long | endPos,
|  | std::vector< MWAWVec2i > & | points )

protected

try to read the list of point zone 3035

Referenced by readPolygon().

## readPolygon()

bool PowerPoint7Graph::readPolygon | ( | int | level,
|  | long | endPos )

protected

try to read the polygon zone 3016

## readPolygonAtom()

bool PowerPoint7Graph::readPolygonAtom | ( | int | level,
|  | long | endPos )

protected

try to read the polygon atom zone 3017

Referenced by readPolygon().

## readRect()

bool PowerPoint7Graph::readRect | ( | int | level,
|  | long | endPos )

protected

try to read the graph rectangle zone 3008

## readRectAtom()

bool PowerPoint7Graph::readRectAtom | ( | int | level,
|  | long | endPos )

protected

try to read the graph shape zone 3009

Referenced by readPlaceholderContainer(), and readRect().

## readStyle()

bool PowerPoint7Graph::readStyle | ( | int | level,
|  | long | endPos )

protected

try to read the graphic style zone 3005

Referenced by readArc(), readLine(), readPlaceholderContainer(), readPolygon(), and readRect().

## readZone5000()

bool PowerPoint7Graph::readZone5000 | ( | int | level,
|  | long | endPos )

protected

try to read the zone 5000: child of GraphRect (only found in 95 an 97 document)

Referenced by readRect().

## readZone5000Data()

bool PowerPoint7Graph::readZone5000Data | ( | int | level,
|  | long | endPos )

protected

try to read the zone 5000 data: 5002

Referenced by readZone5000().

## readZone5000Header()

bool PowerPoint7Graph::readZone5000Header | ( | int | level,
|  | long | endPos )

protected

try to read the zone 5000 header: 5001

Referenced by readZone5000().

## readZoneFlags()

bool PowerPoint7Graph::readZoneFlags | ( | int | level,
|  | long | endPos )

protected

try to read the graph zone flags zone 3036

Referenced by readPlaceholderContainer(), and readRect().

## sendFrame()

bool PowerPoint7Graph::sendFrame | ( | PowerPoint7GraphInternal::Frame const & | frame,
|  | bool | master )

protected

try to send a frame

Referenced by sendFrame(), and sendSlide().

## sendSlide()

bool PowerPoint7Graph::sendSlide | ( | PowerPoint7Struct::SlideId const & | id,
|  | bool | sendBackground )

protected

try to send the slide content

## sendText()

bool PowerPoint7Graph::sendText | ( | int | textId | ) |

protected

try to send the text content

## setColorList()

void PowerPoint7Graph::setColorList | ( | std::vector< MWAWColor > const & | colorList | ) |

sets the color list

## setPageSize()

void PowerPoint7Graph::setPageSize | ( | MWAWVec2i const & | pageSize | ) |

sets the page size

## setSlideId()

void PowerPoint7Graph::setSlideId | ( | PowerPoint7Struct::SlideId const & | id | ) |

sets the slide id

## version()

int PowerPoint7Graph::version | ( |  | ) | const

returns the file version

## Friends And Related Symbol Documentation

## PowerPoint7GraphInternal::SubDocument

friend class PowerPoint7GraphInternal::SubDocument

friend

## PowerPoint7Parser

friend class PowerPoint7Parser

friend

Referenced by PowerPoint7Graph(), PowerPoint7GraphInternal::SubDocument, and PowerPoint7Parser.

## Member Data Documentation

## m_mainParser

PowerPoint7Parser* PowerPoint7Graph::m_mainParser

protected

the main parser;

Referenced by PowerPoint7Graph(), readArc(), readBitmapContainer(), readExternalOleEmbed(), readGroup(), readLine(), readMetaFileContainer(), readPictureContainer(), readPictureIdContainer(), readPictureList(), readPlaceholderContainer(), readPolygon(), readRect(), readZone5000(), readZone5000Data(), and sendText().

## m_parserState

MWAWParserStatePtr PowerPoint7Graph::m_parserState

protected

the parser state

Referenced by PowerPoint7Graph(), readArc(), readArcAtom(), readBitmap(), readBitmapContainer(), readBitmapFlag(), readExternalOleEmbed(), readExternalOleEmbedAtom(), readExternalOleObjectAtom(), readGroup(), readGroupAtom(), readLine(), readLineArrows(), readLineAtom(), readMetaFile(), readMetaFileBox(), readMetaFileContainer(), readPictureContainer(), readPictureId(), readPictureIdContainer(), readPictureList(), readPlaceholderAtom(), readPlaceholderContainer(), readPointList(), readPolygon(), readPolygonAtom(), readRect(), readRectAtom(), readStyle(), readZone5000(), readZone5000Data(), readZone5000Header(), readZoneFlags(), sendFrame(), sendSlide(), and version().

## m_state

std::shared_ptr<PowerPoint7GraphInternal::State> PowerPoint7Graph::m_state

protected

the state

Referenced by PowerPoint7Graph(), readArc(), readArcAtom(), readGroup(), readLine(), readLineArrows(), readLineAtom(), readPictureList(), readPlaceholderContainer(), readPolygon(), readPolygonAtom(), readRect(), readRectAtom(), readStyle(), sendFrame(), sendSlide(), setColorList(), setPageSize(), and setSlideId().

The documentation for this class was generated from the following files:

- PowerPoint7Graph.hxx
- PowerPoint7Graph.cxx